You are not logged in.

#1 2012-09-10 08:00:42

WhiteIntel
Member
Registered: 2012-09-10
Posts: 16

Validity check failed of oracle-sqldeveloper

Hello Folks,
I have tried to install the "oracle-sqldeveloper" of the AUR with yaourt from this source Arch Linux Forums
To get the newest version I modified the PKGBUILD of oracle-sqldeveloper.
I change the package version, the url and the the checksums.
The checksums and the other parameters are correct but I got an error when I started building:

==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build oracle-sqldeveloper.

I have also tried to download the package from oracle directly and deploy it with a local http-server, but with the same result.

How can I fix that problem?

greetings

Offline

#2 2012-09-10 08:36:54

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,837

Re: Validity check failed of oracle-sqldeveloper

It actually tells you which file failed the check - just regenerate the checksum for that file.

I'm going to assume you're new to Arch, and advise you strongly NOT to depend on yaourt, or any other aur helper, until you are thoroughly familiar with the underlying processes. IOW, use makepkg/pacman to build/install your packages for now, then switch to your chosen helper when you know enough.

Offline

#3 2012-09-10 08:58:22

WhiteIntel
Member
Registered: 2012-09-10
Posts: 16

Re: Validity check failed of oracle-sqldeveloper

Yes, it says, that the check for the downloaded file from the oracle site fails, but I generated the checksum with md5sum and sha256sum, but it also fails with the new check sum.

That is true, that I´m new with arch, but I have already worked with makepkg and pacman.
I´m using yaourt, because I need many packages that are not in the official repos.

greetings & thx for your reply

Offline

#4 2012-09-10 09:26:58

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,837

Re: Validity check failed of oracle-sqldeveloper

No idea then, unless you typo'd them when putting them into the PKGBUILD. Are you aware of the makepkg -g flag?

Offline

#5 2012-09-10 16:54:43

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,071

Re: Validity check failed of oracle-sqldeveloper

did you download oracle-sqldeveloper from oracle's website and place it in the same folder as the PKGBUILD ?

because oracle needs you to sign up, you need to get it and place it in the folder then run makepkg on it.


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

Board footer

Powered by FluxBB